Search found 87 matches

Go to advanced search

by Cyril
Thu Feb 27, 2020 9:14 pm
Forum: Python scripting and macros
Topic: Unknown crash with fully packaged FreeCAD
Replies: 3
Views: 68

Re: Unknown crash with fully packaged FreeCAD

"GL context" sounds to me like a graphics card driver problem. According to similar things collected in the Known OS specific issues topic I would try an upgrade, and if that doesn't help a downgrade can be tried as well. Ok, we'll try. But he can start and use FreeCAD using FreeCAD.exe without app...
by Cyril
Thu Feb 27, 2020 7:12 pm
Forum: Python scripting and macros
Topic: Unknown crash with fully packaged FreeCAD
Replies: 3
Views: 68

Unknown crash with fully packaged FreeCAD

(If you see a better title, let me know) I have downloaded the fully package 0.19_pre version of FreeCAD from github ( FreeCAD_0.19.19697_x64_LP_12.1.2_PY3QT5-WinVS2015.7z ) then I ran a python script (test.py) import FreeCAD import FreeCADGui FreeCADGui.showMainWindow() FreeCADGui.exec_loop() in cm...
by Cyril
Thu Feb 20, 2020 3:48 pm
Forum: Python scripting and macros
Topic: Part.Point vs FreeCAD.Vector and conversion
Replies: 3
Views: 110

Re: Part.Point vs FreeCAD.Vector and conversion

You should provide a complete working example. It took me a while to understand what "line" is. My bad I thought it was obvious but it is of course not a good thing to presume anything obvious. I have edited my initial post. vertex = p.toShape() vector = p.toShape().Point Thanks for this first answ...
by Cyril
Thu Feb 20, 2020 2:20 pm
Forum: Python scripting and macros
Topic: Part.Point vs FreeCAD.Vector and conversion
Replies: 3
Views: 110

Part.Point vs FreeCAD.Vector and conversion

Hi, I have been surprised to see that intersection of 2 lines return a list of points and not a list of vectors. line1 = Part.Line() line2 = Part.Line(FreeCAD.Vector(0,0,0), FreeCAD.Vector(1,0,0)) line1.intersect(line2)[0] # -> <Point (0,0,0) > which is a Part.Point A vertex is a shape and you can g...
by Cyril
Wed Jan 15, 2020 10:17 am
Forum: IFC
Topic: BIM with open systems
Replies: 7
Views: 286

Re: BIM with open systems

I don't know if it will be recorded : IfcOpenShell and open source authoring workflows Also take a look at this post on building smart forum : Presenting Blender as a new IFC authoring tool It worths reading. Blender + FreeCAD are possibly just enough. From complex mechanical part to very organic ob...
by Cyril
Mon Jan 13, 2020 1:51 pm
Forum: Part Design module development
Topic: [BUG] Line.intersect / intersectCC between colinear line -> Segmentation fault
Replies: 8
Views: 464

Re: [BUG] Line.intersect / intersectCC between colinear line -> Segmentation fault

looo wrote:
Sun Jan 12, 2020 6:49 pm
Seems like occt7.4 introduced a new bug. :evil:
Thanks for testing.

I opened an issue on bug tracker : https://www.freecadweb.org/tracker/view.php?id=4247
by Cyril
Sat Jan 11, 2020 11:08 pm
Forum: Part Design module development
Topic: [BUG] Line.intersect / intersectCC between colinear line -> Segmentation fault
Replies: 8
Views: 464

Re: [BUG] Line.intersect / intersectCC between colinear line -> Segmentation fault

Your version is one commit older than my version. Thanks for testing. Yes, wmayer did commit while I was writing my bug report ^^ but Iooked at the last commit content and I am almost 100% sure that it is absolutely not related. You are trying to find the intersection of two co-linear edges (in the...
by Cyril
Sat Jan 11, 2020 5:24 pm
Forum: Part Design module development
Topic: [BUG] Line.intersect / intersectCC between colinear line -> Segmentation fault
Replies: 8
Views: 464

[BUG] Line.intersect / intersectCC between colinear line -> Segmentation fault

Hi, I found an issue using Line.intersect / intersectCC. Same for LineSegment. Steps to reproduce : Open FreeCAD Run following code in python console : import Part doc = FreeCAD.newDocument() v = FreeCAD.Vector w1 = Part.makePolygon([v(0,0,0), v(0,10,0), v(-5, 5, 0), v(0,0,0)]) w2 = Part.makePolygon...
by Cyril
Tue Jan 07, 2020 11:06 am
Forum: Open discussion
Topic: About funding and all that
Replies: 154
Views: 18981

Re: About funding and all that

I don't remember which thread it was but I think it was Bernd from the FEM workbench who said that the CalculiX author (finite element analysis software) has funding and all sorts of support because he applied to some European research projects. It sounds to me that Europeans have way too much mone...
by Cyril
Sat Jan 04, 2020 12:12 am
Forum: Python scripting and macros
Topic: How to reference objects ? PropertyLink and DAG constraints
Replies: 9
Views: 312

Re: How to reference objects ? PropertyLink and DAG constraints

These sound a bit like optimization problems, so I'm not sure how they are related exactly to solid modelling. … But this is completely different from solid modelling. In my mind, solid modelling follows a simple, direct path: parent features give way to children features in succession. If I unders...

Go to advanced search